//-------------------------------------------------------------------------------------------------
// Scenario Name:		Elimination - 6 Players, All territories claimed
// Scenario Description:	This is a 6 player game of the Elimination mode with all territories claimed by 6 preset starting locations (Lothlorien Dagorlad Minas_Tirith Minas_Morgul Isengard Iron_Hills)
// Game Type:			Elimination
// Win Conditions:		Player must conquer all the territories of each opposing team member
// Unavailable Territories:	None
// # of Players:		6
//-------------------------------------------------------------------------------------------------

LivingWorldCampaign WOTRScenario018

	IsEvilCampaign = No
	
	;////////////// RTS Settings /////////////
	#include "..\Common\LivingWorldDefaultRTSSettings.inc"

	Scenario
		DisplayName 		= The 3rd age
		DisplayDescription 	= LWScenario:WOTRScenario018Description
		DisplayGameType 	= LWScenario:WOTRGameType002
		DisplayObjectives 	= LWScenario:WOTRObjectives002
		DisplayFiction 		= LWScenario:WOTRScenarioFiction004
		DisplayVictoriousText	= LWScenario:WOTREliminationWin001
		DisplayDefeatedText	= LWScenario:WOTREliminationLose001

		RegionCampaign = DefaultCampaign
		
		MaxPlayers = 6
		
		DisallowStartInRegions = Arnor Buckland Celduin Dol_Guldur Fangorn Forlindon Gap_Of_Rohan Gondor Grey_Havens Harad Harlindon Helms_Deep High_Pass Ithilien Minhiriath Mirkwood Mordor Osgiliath Redhorn_Pass Rhun Rohan The_Black_Gate The_Dead_Marshes The_Shire Tower_Hills Cair_Andros Enedwaith Ettenmoors Iron_Hills Mount_Doom Lothlorien Dunland 
		DefaultStartSpots = Rivendell Dagorlad Minas_Tirith Minas_Morgul Isengard Iron_Hills
		
		PlayerDefeatCondition
			Teams = 1 2
			LoseIfCapitalLost = No
			NumControlledRegionsLessOrEqualTo = 0
		End
		
		TeamDefeatCondition
			Teams = 1 2
			NumControlledRegionsLessOrEqualTo = 0
		End
		
		//----------------------------------------------------------
		// OwnershipSets
		//----------------------------------------------------------

		OwnershipSet
			Regions = Arnor Buckland Ettenmoors Rivendell The_Shire Tower_Hills Grey_Havens Harlindon Fangorn Lothlorien Mirkwood 
			StartRegion = Rivendell
			
			SpawnArmies
				Armies = HeroArmy1 HeroArmy2 HeroArmy3 GarrisonArmy1
				Region = Rivendell
			End
		End

		OwnershipSet
			Regions = Enedwaith Minhiriath Dagorlad Redhorn_Pass Dol_Guldur 
			StartRegion = Dagorlad
			
			SpawnArmies
				Armies = HeroArmy1 HeroArmy2 HeroArmy3 GarrisonArmy1
				Region = Dagorlad
			End
		End
		
		OwnershipSet
			Regions = Cair_Andros Gap_Of_Rohan Gondor Helms_Deep Minas_Tirith Osgiliath Rohan Ithilien 
			StartRegion = Minas_Tirith
			
			SpawnArmies
				Armies = HeroArmy1 HeroArmy2 HeroArmy3 GarrisonArmy1
				Region = Minas_Tirith
			End
		End

		OwnershipSet
			Regions = Harad Minas_Morgul Mordor Mount_Doom The_Black_Gate Rhun The_Dead_Marshes
			StartRegion = Minas_Morgul
			
			SpawnArmies
				Armies = HeroArmy1 HeroArmy2 HeroArmy3 GarrisonArmy1
				Region = Minas_Morgul
			End
		End

		OwnershipSet
			Regions = Isengard Dunland 
			StartRegion = Isengard
			
			SpawnArmies
				Armies = HeroArmy1 HeroArmy2 HeroArmy3 GarrisonArmy1
				Region = Isengard
			End
		End

		OwnershipSet
			Regions = Celduin Erebor Iron_Hills Forlindon High_Pass 
			StartRegion = Iron_Hills
			
			SpawnArmies
				Armies = HeroArmy1 HeroArmy2 HeroArmy3 GarrisonArmy1
				Region = Iron_Hills
			End
		End
	End
	
	
	;//////////////////////////////////////////////////
	Act One
	;//////////////////////////////////////////////////

		;///////////////// Armies ////////////////
		#include "..\Common\LivingWorldDefaultArmies.inc"


		;//////////////// Cities (Yes, this is a hack for mouse over movies.) ////////////////
		//#include "..\Common\LivingWorldCities.inc"


		;//////////////// VISUAL FLUFF ////////////////
		EyeTowerPoints
			LookPoint = X:436 Y:687 ; Rohan
			LookPoint = X:481 Y:287
			LookPoint = X:1179 Y:461
			LookPoint = X:947 Y:917
			LookPoint = X:172 Y:573 ; Isengard
			LookPoint = X:160 Y:560 ; Isengard
			LookPoint = X:175 Y:557 ; Isengard
			LookPoint = X:171 Y:348 ; Helm's Deep
			LookPoint = X:257 Y:535 ; Helm's Deep
			LookPoint = X:120 Y:350 ; Helm's Deep
			LookPoint = X:157 Y:420 ; Helm's Deep
		End		
	End
End